PPI::Structure::Constructor(3)

NAME
PPI::Structure::Constructor - Anonymous hash or array constructor

SYNOPSIS
  my $array = [ 'foo', 'bar' ];
  my $hash  = { foo => 'bar' };

INHERITANCE
  PPI::Structure::Constructor
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::Constructor" is the class used for anonymous "ARRAY" reference of "HASH" reference constructors.

METHODS
"PPI::Structure::Constructor" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.